pkg-config

If it doesn't fit in another category, ask it here.
Post Reply
rogene
Posts: 21
Joined: 2007/01/30 16:40:47

pkg-config

Post by rogene » 2007/01/30 17:00:53

I am installing cinelerra-2.1 on a 64-bit architecture. The installtion also requires libdv, libavcodec, and libquicktime.

Here is (some of my) output from ./configure of the libquicktime:

checking for pkg-config... /usr/bin/pkg-config
checking for glib >= 1.2.4 gtk+ >= 1.2.4... sh: glib-config: command not found
sh: glib-config: command not found
sh: glib-config: command not found
sh: glib-config: command not found
sh: glib-config: command not found
sh: glib-config: command not found
Requested 'glib >= 1.2.4' but version of GLib is
checking for XvQueryAdaptors in -lXv... no
configure: error: Could not find Xv Lib

My version of glib is 2.0: /usr/include/glib-2.0/glib
But there is no file named glib-config on my system

And the Xv library is installed as part of my X11 installation:
/usr/X11R6/lib/libXv.so
/usr/X11R6/lib64/libXv.so

What would you suggest??? Thanks!

Here are the pc files onmy system (I noticed that X11.pc is missing)

[root@localhost glib-2.0]# find / -name *.pc -print
/usr/lib/pkgconfig/xcomposite.pc
/usr/lib/pkgconfig/gtk-engines-2.pc
/usr/lib/pkgconfig/xcursor.pc
/usr/lib/pkgconfig/devmapper.pc
/usr/lib/pkgconfig/xfixes.pc
/usr/lib/pkgconfig/xevie.pc
/usr/lib/pkgconfig/libgcj.pc
/usr/lib/pkgconfig/devmapper-event.pc
/usr/lib/pkgconfig/xft.pc
/usr/lib/pkgconfig/xdamage.pc
/usr/lib/pkgconfig/xrender.pc
/usr/local/lib/pkgconfig/gsl.pc
/usr/lib64/pkgconfig/gamin.pc
/usr/lib64/pkgconfig/dbus-glib-1.pc
/usr/lib64/pkgconfig/libbonoboui-2.0.pc
/usr/lib64/pkgconfig/libpng12.pc
/usr/lib64/pkgconfig/pango.pc
/usr/lib64/pkgconfig/bonobo-activation-2.0.pc
/usr/lib64/pkgconfig/freetype2.pc
/usr/lib64/pkgconfig/gnome-mime-data-2.0.pc
/usr/lib64/pkgconfig/libpanelapplet-2.0.pc
/usr/lib64/pkgconfig/gnome-vfs-module-2.0.pc
/usr/lib64/pkgconfig/libidn.pc
/usr/lib64/pkgconfig/libxml-2.0.pc
/usr/lib64/pkgconfig/gnome-media-profiles.pc
/usr/lib64/pkgconfig/libcroco-0.6.pc
/usr/lib64/pkgconfig/libspi-1.0.pc
/usr/lib64/pkgconfig/atk.pc
/usr/lib64/pkgconfig/libloginhelper-1.0.pc
/usr/lib64/pkgconfig/NetworkManager.pc
/usr/lib64/pkgconfig/xcomposite.pc
/usr/lib64/pkgconfig/gdk-pixbuf-2.0.pc
/usr/lib64/pkgconfig/libgnomeui-2.0.pc
/usr/lib64/pkgconfig/libpng.pc
/usr/lib64/pkgconfig/ORBit-imodule-2.0.pc
/usr/lib64/pkgconfig/gmodule-2.0.pc
/usr/lib64/pkgconfig/gtk+-x11-2.0.pc
/usr/lib64/pkgconfig/gtk-engines-2.pc
/usr/lib64/pkgconfig/libart-2.0.pc
/usr/lib64/pkgconfig/libplanner-1.pc
/usr/lib64/pkgconfig/libmetacity-private.pc
/usr/lib64/pkgconfig/libgtop-2.0.pc
/usr/lib64/pkgconfig/cspi-1.0.pc
/usr/lib64/pkgconfig/libgsf-gnome-1.pc
/usr/lib64/pkgconfig/xcursor.pc
/usr/lib64/pkgconfig/libstartup-notification-1.0.pc
/usr/lib64/pkgconfig/OpenIPMIpthread.pc
/usr/lib64/pkgconfig/devmapper.pc
/usr/lib64/pkgconfig/gdk-x11-2.0.pc
/usr/lib64/pkgconfig/gtk+-2.0.pc
/usr/lib64/pkgconfig/pangox.pc
/usr/lib64/pkgconfig/libnautilus.pc
/usr/lib64/pkgconfig/xfixes.pc
/usr/lib64/pkgconfig/gobject-2.0.pc
/usr/lib64/pkgconfig/libglade-2.0.pc
/usr/lib64/pkgconfig/pangoft2.pc
/usr/lib64/pkgconfig/gnopernicus-1.0.pc
/usr/lib64/pkgconfig/libIDL-2.0.pc
/usr/lib64/pkgconfig/gdk-pixbuf-xlib-2.0.pc
/usr/lib64/pkgconfig/vorbis.pc
/usr/lib64/pkgconfig/gdk-2.0.pc
/usr/lib64/pkgconfig/gconf-2.0.pc
/usr/lib64/pkgconfig/xevie.pc
/usr/lib64/pkgconfig/gthread-2.0.pc
/usr/lib64/pkgconfig/gnome-vfs-2.0.pc
/usr/lib64/pkgconfig/libpng10.pc
/usr/lib64/pkgconfig/ogg.pc
/usr/lib64/pkgconfig/dbus-1.pc
/usr/lib64/pkgconfig/ORBit-idl-2.0.pc
/usr/lib64/pkgconfig/librpcsecgss.pc
/usr/lib64/pkgconfig/esound.pc
/usr/lib64/pkgconfig/gswitchit.pc
/usr/lib64/pkgconfig/libexslt.pc
/usr/lib64/pkgconfig/libuser.pc
/usr/lib64/pkgconfig/gail.pc
/usr/lib64/pkgconfig/vorbisenc.pc
/usr/lib64/pkgconfig/gucharmap.pc
/usr/lib64/pkgconfig/pangoxft.pc
/usr/lib64/pkgconfig/librsvg-2.0.pc
/usr/lib64/pkgconfig/OpenIPMIutils.pc
/usr/lib64/pkgconfig/libbonobo-2.0.pc
/usr/lib64/pkgconfig/gnome-desktop-2.0.pc
/usr/lib64/pkgconfig/alsa.pc
/usr/lib64/pkgconfig/glib-2.0.pc
/usr/lib64/pkgconfig/devmapper-event.pc
/usr/lib64/pkgconfig/OpenIPMIcmdlang.pc
/usr/lib64/pkgconfig/xft.pc
/usr/lib64/pkgconfig/OpenIPMIglib.pc
/usr/lib64/pkgconfig/libnfsidmap.pc
/usr/lib64/pkgconfig/libgsf-1.pc
/usr/lib64/pkgconfig/openssl.pc
/usr/lib64/pkgconfig/valgrind.pc
/usr/lib64/pkgconfig/eel-2.0.pc
/usr/lib64/pkgconfig/libgnomecanvas-2.0.pc
/usr/lib64/pkgconfig/xdamage.pc
/usr/lib64/pkgconfig/ORBit-CosNaming-2.0.pc
/usr/lib64/pkgconfig/gnome-python-2.0.pc
/usr/lib64/pkgconfig/libnautilus-extension.pc
/usr/lib64/pkgconfig/OpenIPMIposix.pc
/usr/lib64/pkgconfig/audiofile.pc
/usr/lib64/pkgconfig/shared-mime-info.pc
/usr/lib64/pkgconfig/vorbisfile.pc
/usr/lib64/pkgconfig/fontconfig.pc
/usr/lib64/pkgconfig/OpenIPMIui.pc
/usr/lib64/pkgconfig/libxslt.pc
/usr/lib64/pkgconfig/xrender.pc
/usr/lib64/pkgconfig/ORBit-2.0.pc
/usr/lib64/pkgconfig/pygtk-2.0.pc
/usr/lib64/pkgconfig/OpenIPMI.pc
/usr/lib64/pkgconfig/libgnome-2.0.pc
/usr/lib64/pkgconfig/gnome-pilot-2.0.pc
/usr/share/pkgconfig/gnome-icon-theme.pc
/usr/share/pkgconfig/gtk-doc.pc
/usr/share/doc/gawk-3.1.3/README_d/README.pc

pjwelsh
Posts: 2598
Joined: 2007/01/07 02:18:02
Location: Central IL USA

pkg-config

Post by pjwelsh » 2007/01/30 17:11:04

There are runtime libs and devel. You need the devel stuff from what I see:
[quote]yum install glib-devel xorg-x11-devel[/quote]
will help get more of what you need.

Post Reply

Return to “CentOS 4 - Miscellaneous Questions”